ruby-fast-gettext_1.3.0-1_all.deb


Advertisement

Description

ruby-fast-gettext - Fast GetText implementation for Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-fast-gettext
Package version 1.3.0
Package release 1
Package architecture all
Package type deb
Installed size 110 B
Download size 27.90 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-fast-gettext_1.3.0-1_all.deb 1.3.0 all Debian Main
ruby-fast-gettext - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-fast-gettext_1.3.0-1_all.deb
Source Package ruby-fast-gettext

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-fast-gettext deb package:
    # sudo apt-get install ruby-fast-gettext

Files

Path
/usr/lib/ruby/vendor_ruby/fast_gettext.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/cache.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/mo_file.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/po_file.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/storage.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/version.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/base.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/chain.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/db.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/logger.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/merge.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/mo.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/po.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/yaml.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/db_models/translation_key.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/translation_repository/db_models/translation_text.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/README.rdoc
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/empty.mo
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/iconv.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/mofile.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/poparser.rb
/usr/lib/ruby/vendor_ruby/fast_gettext/vendor/string.rb
/usr/share/doc/ruby-fast-gettext/Readme.md.gz
/usr/share/doc/ruby-fast-gettext/changelog.Debian.gz
/usr/share/doc/ruby-fast-gettext/changelog.gz
/usr/share/doc/ruby-fast-gettext/copyright
/usr/share/doc/ruby-fast-gettext/examples/missing_translation_logger.rb
/usr/share/doc/ruby-fast-gettext/examples/db/migration.rb
/usr/share/rubygems-integration/all/specifications/fast_gettext-1.2.0.gemspec

Changelog

2016-11-07 - Michael Moll <kvedulv@kvedulv.de>
ruby-fast-gettext (1.3.0-1) unstable; urgency=medium
* Team upload.
* New upstream release
2016-09-06 - Michael Moll <kvedulv@kvedulv.de>
ruby-fast-gettext (1.2.0-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Team upload.
* [16834da] Use https:// in Vcs-* fields
* [5c07f14] Use https:// in Vcs-* fields
* [d1e6d04] Run wrap-and-sort on packaging files
[ Michael Moll ]
* [723b318] New upstream version 1.2.0
* [657018f] update debian/ files for 1.2.0
* [4f5ec80] delete 0004-Properly-handle-PO-files-encoding-in-PoFile.to_mo_fi.patch
* [8558250] Bump Standards-Version to 3.9.8 (no changes needed)
* [e28926d] re-add 0004-Properly-handle-PO-files-encoding-in-PoFile.to_mo_fi.patch
2016-02-29 - Sebastien Badia <seb@sebian.fr>
ruby-fast-gettext (1.0.0-1) unstable; urgency=medium
* Team upload.
* Fix incorect gem load (sqlite3) (Closes: #816253)
* New upstream release
* Update Debian packaging using dh-make-ruby
* d/control:
Bump Standards-Version to 3.9.7 (no changes)
Update Vcs-* fields (use https everywhere)
* d/watchfile: Target github and update to version 4
* d/patches: Remove patch 008 (Fix-MoFile) applied upstream
2015-09-12 - Jérémy Bobbio <lunar@debian.org>
ruby-fast-gettext (0.9.2-1) unstable; urgency=medium
[ Jérémy Bobbio ]
* Team upload.
* New upstream release.
* Update metadata.yml.
* Re-allow tests needing RSpec 3 and bump Build-Depends.
* Add a patch to stop using the deprecated IO#lines.
* Ship metadata.yml as a patch as it's not in upstream source.
* Add a patch from upstream to fix a test failure. (Closes: #795035)
* Switch to debhelper compat level 9.
* Update Vcs-* URL.
[ Christian Hofstaedtler ]
* Add missing metadata.yml (Closes: #774043)
2014-10-18 - Dmitry Borodaenko <angdraug@debian.org>
ruby-fast-gettext (0.9.0-1) unstable; urgency=medium
* New upstream release.
* Standards-Version upgraded to 3.9.6, no changes required.
* 0006-remove-test-that-requires-rspec3.patch added.
2014-09-03 - Jérémy Bobbio <lunar@debian.org>
ruby-fast-gettext (0.8.1-2) unstable; urgency=medium
* Add missing Build-Depends on ruby-protected-attributes.
(Closes: #759924)
* Add a patch to remove bogus tests.
2014-05-05 - Jérémy Bobbio <lunar@debian.org>
ruby-fast-gettext (0.8.1-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Refresh patches.
* Fix 0004-fix-tests-with-ruby-calls.patch to properly use current Ruby
version.
* Stop forcing the encoding when running specs.
* Add a patch to properly handle PO file encoding in PoFile.to_mo_file.
(Closes: #718218)
* Bump Standards-Version, no changes required.
2013-08-10 - Dmitry Borodaenko <angdraug@debian.org>
ruby-fast-gettext (0.7.1-1) unstable; urgency=low
[ Dmitry Borodaenko ]
* New upstream release.
* Standards-Version upgraded to 3.9.4 (no changes).
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag.
* use canonical URI in Vcs-* fields.
* debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
field.
2012-06-30 - Antonio Terceiro <terceiro@debian.org>
ruby-fast-gettext (0.6.8-1) unstable; urgency=low
* Team upload.
* New upstream release.
* debian/watch: changed to use gemwatch
* Bump build dependency on gem2deb to >= 0.3.0~
* debian/patches/0001-fix-rspec-requires.patch: refresh
* debian/patches/0003-set-default-external-encoding-in-specs-to-
utf8.patch: refreshed
* debian/ruby-tests.rb: Re-enable tests
* added build dependency on ruby-i18n, needed to run tests
* added debian/patches/fix-tests-with-ruby-calls.patch - do not run ruby
under bundler
2012-05-12 - Dmitry Borodaenko <angdraug@debian.org>
ruby-fast-gettext (0.6.7-1) unstable; urgency=low
* New upstream version.
* Upstream changed license from public domain to MIT (Expat).
* Another rearranging of unit tests.

See Also

Package Description
ruby-fast-stemmer_1.0.2-1+b10_amd64.deb Fast Porter stemmer based on a C version of algorithm for Ruby
ruby-fast-xs_0.8.0-3+b10_amd64.deb ruby extension for escaping text
ruby-fastimage_2.1.4-1_all.deb Ruby library for finding the size or type of image with minimal dependency
ruby-fcgi_0.9.2.1-2+b3_amd64.deb FastCGI library for Ruby
ruby-feedparser_0.9.4-1_all.deb Ruby library to parse ATOM/RSS feeds
ruby-ferret_0.11.8.6-2+b2_amd64.deb full text search engine library for Ruby
ruby-ffaker_2.8.1-1_all.deb ffaker generates dummy data
ruby-ffi-bit-masks_0.1.1-1_all.deb Adds support for bit-masked types in FFI
ruby-ffi-rzmq-core_1.0.6-1_all.deb FFI wrapper around the ZeromMQ (ØMQ) networking library for Ruby
ruby-ffi-rzmq_2.0.6-1_all.deb FFI based Ruby bindings for ZeroMQ (ØMQ) networking library
ruby-ffi-yajl_2.3.1-1+b1_amd64.deb Ruby FFI wrapper around YAJL 2.x
ruby-ffi_1.9.10debian-1+b4_amd64.deb load dynamic libraries, bind functions from within ruby code
ruby-fftw3_1.0.2-2_amd64.deb Ruby interface to the FFTW Ver.3 library
ruby-file-tail_1.1.1-2_all.deb Ruby library for following still-growing files
ruby-filepath_0.7-1_all.deb small library to manipulate paths
Advertisement
Advertisement